Subject: Re: [PATCH v2] KVM: PPC: remove mmio_vsx_tx_sx_enabled in KVM MMIO emulation

From: Paul Mackerras <[email-masked]>
Date: Wed, 18 Jul 2018 16:30:40 +1000

On Mon, May 28, 2018 at 09:48:26AM +0800, [email-masked] wrote:
> From: Simon Guo <[email-masked]>
> 
> Originally PPC KVM MMIO emulation uses only 0~31#(5 bits) for VSR
> reg number, and use mmio_vsx_tx_sx_enabled field together for
> 0~63# VSR regs.
> 
> Currently PPC KVM MMIO emulation is reimplemented with analyse_instr()
> assistence. analyse_instr() returns 0~63 for VSR register number, so
> it is not necessary to use additional mmio_vsx_tx_sx_enabled field
> any more.
> 
> This patch extends related reg bits(expand io_gpr to u16 from u8
> and use 6 bits for VSR reg#), so that mmio_vsx_tx_sx_enabled can
> be removed.
> 
> v1 -> v2 change:
> rework the commit message to remove "PR KVM" specific word.
> 
> Signed-off-by: Simon Guo <[email-masked]>

Thanks, patch applied to my kvm-ppc-next branch.

Paul.